﻿using Dynamicweb.Extensibility.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    /// <summary>
    /// Sends an update to the ERP when an order line is added.
    /// </summary>
    /// <seealso cref="NotificationSubscriberBase" />
    [Subscribe(Ecommerce.Notifications.Ecommerce.Cart.Line.Added)]
    public class OrderLineAdded : NotificationSubscriberBase
    {
        /// <summary>
        /// Handles the notification.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            var myArgs = (Ecommerce.Notifications.Ecommerce.Cart.Line.AddedArgs)args;
            if (EnabledAndActive() && myArgs?.Cart != null)
            {
                UpdateOrder(myArgs.Cart, "Line.Added");
            }
        }
    }
}